%setenv PYTHON C:\ProgramData\Miniconda3\python.exe
%pkg load symbolic

% **********************************************************
% variables
% **********************************************************
Vs1 = 6;
Is  = 2e-3;
Vo  = 4;
R1  = 3e3;
R2  = 2e3;
R3  = 3e3;
R4  = 12e3;
R5  = 1e3;

% **********************************************************
% system of equations
% **********************************************************
IR5 = Vo/R5;
IR1 = -Is + IR5;
Vad = -Vs1 + R1*IR1 + R2*IR5 + Vo;
IR3 = -Vad/R4 + Is - IR5;
Vs  = -R3*IR3 + Vad

